tys.garments.retrieve()
retrieve(id: string, options?: RequestOptions): Promise<GarmentVersion>Parameters
Section titled “Parameters”idstringRequiredThe garment version ID.
optionsRequestOptionsOptionalReturns
Section titled “Returns”Promise<GarmentVersion>: The garment version.
Example
Section titled “Example”const version = await tys.garments.retrieve(garmentId);version = tys.garments.retrieve(garment_id)curl https://api.tryyoursize.com/v1/garments/<garment_id> \ -H "Authorization: Bearer $TRYYOURSIZE_SECRET_KEY" \ -H "TYS-Version: 2026-10-25"See also
Section titled “See also”Was this page helpful?
Thank you. We read every answer.